Siemens Automation License Manager 6.x < 6.0.1 Directory Traversal

Medium Nessus Plugin ID 112124

Synopsis

The remote host has software installed that is affected by a user-input validation vulnerability.

Description

The version of Siemens Automation License Manager installed on the remote host is version 6.x prior to 6.0.1 and thus, is affected by a user-input validation error that allows a directory traversal attack.
This could allow, among other actions, code execution. User interaction is required for this attack.

Solution

Upgrade to Siemens Automation License Manager 6.0+SP1 (6.0.1) or later.

See Also

http://www.nessus.org/u?a59aea95

https://cert-portal.siemens.com/productcert/pdf/ssa-920962.pdf

Plugin Details

Severity: Medium

ID: 112124

File Name: scada_siemens_alm_ssa_920962__6x.nbin

Version: 1.5

Type: local

Family: SCADA

Published: 2018/08/27

Modified: 2019/01/09

Dependencies: 63427

Risk Information

Risk Factor: Medium

CVSS Score Source: CVE-2018-11455

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: cpe:/a:siemens:automation_license_manager

Required KB Items: installed_sw/Siemens Automation License Manager

Patch Publication Date: 2018/07/31

Vulnerability Publication Date: 2018/07/31

Reference Information

CVE: CVE-2018-11455

BID: 105114

IAVB: 2018-B-0115